


#define MAIN_G
#include "copyright.h"
#include "graphix.h"



int main(int argc, char *argv[])
{
        FL_OBJECT *fob;
        char st[256] = "test.xpm\0";

//	VScr = new t_screen;

        // you may choose the two other "Init"-routines for incorporating the
        // VirtualScreen-Object in your "xforms"-programs
	fob = VScr.Init(&argc,argv);
//        VScr.Show("demo");
         
	// do something with the object
//	VScr.Fill(FL_BLACK);
        
        SetColor(FL_YELLOW);
	DrawCircle(100,100,100);
        SetColor(FL_BLUE);
        drawline(200,300,700,1000);
        SetColor(FL_RED);
        FillRectangle(400,30,80,120);
        
        SetColor(FL_CYAN);
        VScr.SetTextStyle(TriplexFont);
        OutTextXY(20,40,"This is the Triplex Font");
        VScr.SetTextStyle(DefaultFont);
        OutTextXY(20,400,"the VGA-Font comes with codepage 437 IBM charset");
	
//        VScr->Save(st,fob);
        
        // call rest of the forms lib
	while (true)
	   fl_do_forms();
}
